Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PremiumFeature

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PremiumFeature

Direct Known Subclasses:
  `TdApi.PremiumFeatureAccentColor`, `TdApi.PremiumFeatureAdvancedChatManagement`, `TdApi.PremiumFeatureAnimatedProfilePhoto`, `TdApi.PremiumFeatureAppIcons`, `TdApi.PremiumFeatureBackgroundForBoth`, `TdApi.PremiumFeatureChatBoost`, `TdApi.PremiumFeatureCustomEmoji`, `TdApi.PremiumFeatureDisabledAds`, `TdApi.PremiumFeatureEmojiStatus`, `TdApi.PremiumFeatureForumTopicIcon`, `TdApi.PremiumFeatureImprovedDownloadSpeed`, `TdApi.PremiumFeatureIncreasedLimits`, `TdApi.PremiumFeatureIncreasedUploadFileSize`, `TdApi.PremiumFeatureLastSeenTimes`, `TdApi.PremiumFeatureMessagePrivacy`, `TdApi.PremiumFeatureProfileBadge`, `TdApi.PremiumFeatureRealTimeChatTranslation`, `TdApi.PremiumFeatureSavedMessagesTags`, `TdApi.PremiumFeatureUniqueReactions`, `TdApi.PremiumFeatureUniqueStickers`, `TdApi.PremiumFeatureUpgradedStories`, `TdApi.PremiumFeatureVoiceRecognition`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.PremiumFeature extends TdApi.Object permits TdApi.PremiumFeatureIncreasedLimits, TdApi.PremiumFeatureIncreasedUploadFileSize, TdApi.PremiumFeatureImprovedDownloadSpeed, TdApi.PremiumFeatureVoiceRecognition, TdApi.PremiumFeatureDisabledAds, TdApi.PremiumFeatureUniqueReactions, TdApi.PremiumFeatureUniqueStickers, TdApi.PremiumFeatureCustomEmoji, TdApi.PremiumFeatureAdvancedChatManagement, TdApi.PremiumFeatureProfileBadge, TdApi.PremiumFeatureEmojiStatus, TdApi.PremiumFeatureAnimatedProfilePhoto, TdApi.PremiumFeatureForumTopicIcon, TdApi.PremiumFeatureAppIcons, TdApi.PremiumFeatureRealTimeChatTranslation, TdApi.PremiumFeatureUpgradedStories, TdApi.PremiumFeatureChatBoost, TdApi.PremiumFeatureAccentColor, TdApi.PremiumFeatureBackgroundForBoth, TdApi.PremiumFeatureSavedMessagesTags, TdApi.PremiumFeatureMessagePrivacy, TdApi.PremiumFeatureLastSeenTimes
This class is an abstract base class. Describes a feature available to Premium users.

## Constructor Summary

Constructors
Constructor
Description
`PremiumFeature()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PremiumFeature

public PremiumFeature()
Default class constructor.